connectedComp {RBGL} | R Documentation

## Identify Connected Components in an Undirected Graph

### Description

The connected components in an undirected graph are identified. If the graph is directed then the weakly connected components are identified.

### Usage

    connectedComp(g)

### Arguments

`g` | graph with `edgemode` “undirected”

### Details

Uses a depth first search approach to identifying all the connected components of an undirected graph. If the input, `g`, is a directed graph it is first transformed to an undirected graph (using `ugraph`).

### Value

A list of length equal to the number of connected components in `g`. Each element of the list contains a vector of the node labels for the nodes that are connected.

### Author(s)

Vince Carey <stvjc@channing.harvard.edu>

### References

Boost Graph Library

### See Also

`connComp`,`strongComp`, `ugraph`, `same.component`

### Examples

    km <- fromGXL(file(system.file("GXL/kmstEx.gxl",package="graph"), open="r"))
    km <- graph::addNode(c("F","G","H"), km)
    km <- addEdge("G", "H", km, 1)
    km <- addEdge("H", "G", km, 1)
    ukm <- ugraph(km)
    ukm
    edges(ukm)
    connectedComp(ukm)

[Package RBGL version 1.10.0 Index]